# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate rustfix

Name:           rust-%{crate}
Version:        0.4.4
Release:        1%{?dist}
Summary:        Automatically apply the suggestions made by rustc

# Upstream license specification: Apache-2.0/MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/rustfix
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Use released version of env_logger
Patch0:         rustfix-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(failure/default) >= 0.1.2 with crate(failure/default) < 0.2.0)
BuildRequires:  (crate(log/default) >= 0.4.1 with crate(log/default) < 0.5.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.0 with crate(serde_derive/default) < 2.0.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.0 with crate(serde_json/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(difference/default) >= 2.0.0 with crate(difference/default) < 3.0.0)
BuildRequires:  (crate(duct/default) >= 0.9.0 with crate(duct/default) < 0.10.0)
BuildRequires:  (crate(env_logger/default) >= 0.5.0 with crate(env_logger/default) < 0.6.0)
BuildRequires:  (crate(log/default) >= 0.4.1 with crate(log/default) < 0.5.0)
BuildRequires:  (crate(proptest/default) >= 0.7.0 with crate(proptest/default) < 0.8.0)
BuildRequires:  (crate(tempdir/default) >= 0.3.5 with crate(tempdir/default) < 0.4.0)
%endif

%global _description \
Automatically apply the suggestions made by rustc.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc Readme.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/bors.toml

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Dec 13 2018 Josh Stone <jistone@redhat.com> - 0.4.4-1
- Update to 0.4.4

* Mon Nov 12 2018 Josh Stone <jistone@redhat.com> - 0.4.2-2
- Adapt to new packaging

* Sun Oct 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Initial package
